Loading...
Searching...
No Matches
sllist.hh File Reference
Common

Implements a singly linked list together with the necessary iterators. More...

`#include <memory>`
`#include <cassert>`
`#include "iteratorfacades.hh"`
`#include <ostream>`

Go to the source code of this file.

## Classes

class | Dune::SLList< T, A >
| A single linked list. More...
class | Dune::SLListIterator< T, A >
| A mutable iterator for the SLList. More...
class | Dune::SLListConstIterator< T, A >
| A constant iterator for the SLList. More...
class | Dune::SLListModifyIterator< T, A >
| A mutable iterator for the SLList. More...

## Namespaces

namespace | Dune
| Dune namespace

## Functions

template<typename T, typename A>
std::ostream & | Dune::operator<< (std::ostream &os, const SLList< T, A > &sllist)

## Detailed Description

Implements a singly linked list together with the necessary iterators.

Author
  Markus Blatt